%define name	gnome-phone-manager
%define version	0.8
%define release %mkrel 1

Name: 	 	%{name}
Summary: 	GNOME Cellular Phone Manager
Version: 	%{version}
Release: 	%{release}

Source:		ftp://ftp.gnome.org/pub/gnome/sources/gnome-phone-manager/%version/%{name}-%{version}.tar.bz2
Patch0: gnome-phone-manager-0.6-new-openobex.patch
# (fc) 0.7-1mdk fix icon location
Patch1: gnome-phone-manager-0.7-fixicon.patch
# (fc) 0.7-3mdv fix build with eds 1.8 (gnome bug #349726)
Patch2: gnome-phone-manager-0.7-eds18.patch
URL:		http://usefulinc.com/software/phonemgr/
License:	GPL
Group:		Communications
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	gettext intltool ImageMagick
BuildRequires:	libbtctl-devel >= 0.6
BuildRequires:	libgnomebt-devel
BuildRequires:	libgnokii-devel
BuildRequires:	libglade2.0-devel libgnomeui2-devel 
BuildRequires:	librsvg-devel
BuildRequires:  GConf2
BuildRequires:	libevolution-data-server-devel
BuildRequires:	desktop-file-utils
Requires:	pygtk2.0-libglade

%description
Phone Manager is a program created to allow you to control aspects of your
mobile phone from your GNOME 2 desktop. It is free software, licensed under
the GPL.

The software is in its early stages right now. Current features include:
    * Runs in the background; indicates status on the panel notification area.
    * Display on-screen alert when text message (SMS) arrives
    * Text message (SMS) sending facility

Features planned in the near future include:
    * Addressbook integration
    * Call monitoring and dialing
    * Send cluepackets to Dashboard about incoming messages

Phone Manager supports any mobile phone that can connect to your computer as
a serial port: via Bluetooth, IrDA or a serial cable.

%prep
%setup -q
%patch0 -p1

#needed by patches 0 & 2
autoconf


%build
%configure2_5x --enable-shared --enable-static
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" \
icon="%{name}.png" \
needs="x11" \
title="GNOME Phone Manager" \
longtitle="Cellular Phone Interface" \
section="More Applications/Communications" \
xdg="true"
EOF

desktop-file-install --vendor="" \
  --add-category="GTK" \
  --add-category="GNOME" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MoreApplications-Communications" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 ui/cellphone.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 ui/cellphone.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 ui/cellphone.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

mkdir -p %{buildroot}%{_datadir}/pixmaps/
mv %{buildroot}%{_datadir}/cellphone.png %{buildroot}%{_datadir}/pixmaps/cellphone.png

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%doc README AUTHORS ChangeLog
%{_bindir}/*
%{_datadir}/%name
%{_datadir}/applications/*.desktop
%{_menudir}/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png
%{_datadir}/pixmaps/*.png


%changelog
* Sat Jan 13 2007 Jérôme Soyer <saispo@mandriva.org> 0.8-1mdv2007.0
+ Revision: 108329
- New release 0.8

* Thu Nov 30 2006 Götz Waschk <waschk@mandriva.org> 0.7-6mdv2007.1
+ Revision: 89468
- rebuild
- rebuild

* Thu Nov 09 2006 Götz Waschk <waschk@mandriva.org> 0.7-4mdv2007.1
+ Revision: 79261
- Import gnome-phone-manager



* Thu Nov  9 2006 Götz Waschk <waschk@mandriva.org> 0.7-4mdv2007.1
- unpack patches
- rebuild for new libbtctl

* Thu Aug 03 2006 Frederic Crozat <fcrozat@mandriva.com> 0.7-3mdv2007.0
- Rebuild with latest dbus
- fix xdg tag

* Sun May 14 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.7-2mdk
- add BuildRequires: desktop-file-utils

* Wed May 10 2006 Frederic Crozat <fcrozat@mandriva.com> 0.7-1mdk
- Release 0.7
- Patch0: fix pixmaps location
- migrate menu to xdg

* Mon Apr 24 2006 Frederic Crozat <fcrozat@mandriva.com> 0.6-4mdk
- Rebuild with latest e-d-s

* Fri Feb 10 2006 Götz Waschk <waschk@mandriva.org> 0.6-3mdk
- patch for new openobex
- use mkrel

* Fri Nov 25 2005 Austin Acton <austin@mandriva.org> 0.6-2mdk
- buildrequires libevolution-data-server-devel

* Fri Nov 25 2005 Austin Acton <austin@mandriva.org> 0.6-1mdk
- 0.6
- source URL
- drop gcc4 patch
- buildrequires libgnokii-devel

* Tue Aug 30 2005 Austin Acton <austin@mandriva.org> 0.4-5mdk
- rebuild for libbtctl
- gcc4 fixes

* Fri Mar 11 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.4-4mdk
- add BuildRequires: librsvg-devel

* Wed Sep 29 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4-3mdk
- Fix buildrequires

* Thu Aug 26 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4-2mdk
- Fix menu

* Wed Jun 23 2004 Austin Acton <austin@mandrake.org> 0.4-1mdk
- 0.4

* Mon Jun 21 2004 Austin Acton <austin@mandrake.org> 0.3-1mdk
- initial package
